﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System.Drawing;

namespace WinToolBarLabelAlign
{
    class Class1 : IUIElementCreationFilter
    {
        #region IUIElementCreationFilter Members

        public void AfterCreateChildElements(UIElement parent)
        {
            LabelToolUIElement label = parent as LabelToolUIElement;
            if (label != null)
            {
                UIElement parTool = label.Parent;
                UIElement parPar = parTool.Parent;
                parTool.Rect = new Rectangle(parTool.Rect.Location,
                    new Size(parPar.Rect.Width, parTool.Rect.Height));

                label.Rect = new Rectangle(new Point(parTool.Rect.Width - label.Rect.Width - 9, label.Rect.Y),
                    label.Rect.Size);
                TextUIElement textLabel = (TextUIElement)label.GetDescendant(typeof(TextUIElement));
                if (textLabel != null)
                {
                    textLabel.Rect = new Rectangle(new Point(parTool.Rect.Width - label.Rect.Width - 9, label.Rect.Y),
                    label.Rect.Size);
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;//throw new NotImplementedException();
        }

        #endregion
    }
}
